# lnx-ms.h File Reference

Go to the source code of this file.

## Functions

pointer | msLinuxCreatePrivate (DeviceIntPtr pMouse)
void | msLinuxDestroyPrivate (pointer priv)
void | msLinuxInit (DevicePtr pDev)
void | msLinuxGetInfo (DevicePtr pDev, DMXLocalInitInfoPtr info)
int | msLinuxOn (DevicePtr pDev)
void | msLinuxOff (DevicePtr pDev)
void | msLinuxVTPreSwitch (pointer p)
void | msLinuxVTPostSwitch (pointer p)

## Detailed Description

Interface to Linux MS mouse driver.

See also:
  lnx-ms.c

## Function Documentation

pointer msLinuxCreatePrivate | ( | DeviceIntPtr | pMouse | ) |

| Create a private structure for use within this file.

void msLinuxDestroyPrivate | ( | pointer | priv | ) |

| Destroy a private structure.

void msLinuxGetInfo | ( | DevicePtr | pDev,
|  | DMXLocalInitInfoPtr | info
| ) |

| Fill the info structure with information needed to initialize pDev.

void msLinuxInit | ( | DevicePtr | pDev | ) |

| Initialize pDev.

void msLinuxOff | ( | DevicePtr | pDev | ) |

| Turn pDev off (i.e., stop taking input from pDev).

int msLinuxOn | ( | DevicePtr | pDev | ) |

| Turn pDev on (i.e., take input from pDev).

void msLinuxVTPostSwitch | ( | pointer | p | ) |

| Currently unused hook called after returning from a VT switch.

void msLinuxVTPreSwitch | ( | pointer | p | ) |

| Currently unused hook called prior to an VT switch.

Generated June 29, 2004 for Distributed Multihead X by doxygen 1.3.4. </addres>